org.modeshape.jcr.bus

## Class ClusteredRepositoryChangeBus.Receiver

- java.lang.Object
- - org.jgroups.ReceiverAdapter
  - - org.modeshape.jcr.bus.ClusteredRepositoryChangeBus.Receiver

- All Implemented Interfaces:
    org.jgroups.MembershipListener, org.jgroups.MessageListener, org.jgroups.Receiver
  Enclosing class:
    ClusteredRepositoryChangeBus

      protected final class ClusteredRepositoryChangeBus.Receiver
      extends org.jgroups.ReceiverAdapter

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClusteredRepositoryChangeBus.Receiver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `block()`
    `void` | `receive(org.jgroups.Message message)`
    `void` | `suspect(org.jgroups.Address suspectedMbr)`
    `void` | `viewAccepted(org.jgroups.View newView)`

    - ### Methods inherited from class org.jgroups.ReceiverAdapter

      `getState, setState, unblock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusteredRepositoryChangeBus.Receiver

          protected ClusteredRepositoryChangeBus.Receiver()

  - ### Method Detail

    - #### block

          public void block()

      Specified by:
        `block` in interface `org.jgroups.MembershipListener`
      Overrides:
        `block` in class `org.jgroups.ReceiverAdapter`

    - #### receive

          public void receive(org.jgroups.Message message)

      Specified by:
        `receive` in interface `org.jgroups.MessageListener`
      Overrides:
        `receive` in class `org.jgroups.ReceiverAdapter`

    - #### suspect

          public void suspect(org.jgroups.Address suspectedMbr)

      Specified by:
        `suspect` in interface `org.jgroups.MembershipListener`
      Overrides:
        `suspect` in class `org.jgroups.ReceiverAdapter`

    - #### viewAccepted

          public void viewAccepted(org.jgroups.View newView)

      Specified by:
        `viewAccepted` in interface `org.jgroups.MembershipListener`
      Overrides:
        `viewAccepted` in class `org.jgroups.ReceiverAdapter`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.